org.eclipse.jetty.webapp

## Enum Origin

- java.lang.Object
- - java.lang.Enum<Origin>
  - - org.eclipse.jetty.webapp.Origin

All Implemented Interfaces:
  Serializable, Comparable<Origin>

    public enum Origin
    extends Enum<Origin>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Annotation`
`API`
`NotSet`
`WebDefaults`
`WebFragment`
`WebOverride`
`WebXml`

### Method Summary

Methods
`static Origin` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Origin[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NotSet

    public static final Origin NotSet

#### WebXml

    public static final Origin WebXml

#### WebDefaults

    public static final Origin WebDefaults

#### WebOverride

    public static final Origin WebOverride

#### WebFragment

    public static final Origin WebFragment

#### Annotation

    public static final Origin Annotation

#### API

    public static final Origin API

### Method Detail

#### values

    public static Origin[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Origin c : Origin.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Origin valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null